{
  "name": "hamster-blog-api",
  "private": true,
  "version": "1.0.0",
  "description": "Hamster Blog Api",
  "license": "MIT",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/tyas.kusumo/hamster-blog.git"
  },
  "scripts": {
    "compile": "tsc",
    "lint": "eslint \"{src,tests}/**/*.ts\" --fix",
    "test": "jest",
    "build": "yarn lint && yarn compile",
    "pretypeorm": "(rm ormconfig.json || :) && ts-node -r tsconfig-paths/register scripts/createTypeOrmConfig.ts",
    "typeorm": "ts-node -r tsconfig-paths/register ./node_modules/typeorm/cli.js",
    "typeorm:migration:generate": "yarn typeorm -- migration:generate -n",
    "typeorm:migration:up": "yarn typeorm -- migration:run",
    "typeorm:migration:down": "yarn typeorm -- migration:revert",
    "typeorm:fixtures:load": "yarn fixtures --config ormconfig.json Fixtures fixtures --require=ts-node/register",
    "checkenv": "yarn ts-node scripts/checkConfig.ts",
    "init:db": "yarn start:db && yarn typeorm:migration:up && yarn typeorm:fixtures:load",
    "start": "yarn checkenv && webpack --config webpack.dev.js",
    "start:dev": "yarn start --watch",
    "start:db": "./scripts/db.sh",
    "deploy": "./scripts/deploy.sh",
    "test:integration": "cucumber-js --require-module ts-node/register --require 'tests/cucumber/**/*.ts' -f node_modules/cucumber-pretty"
  },
  "dependencies": {
    "@nestjs/common": "^7.0.5",
    "@nestjs/config": "^0.4.0",
    "@nestjs/core": "^7.0.5",
    "@nestjs/graphql": "^7.0.15",
    "@nestjs/jwt": "^7.0.0",
    "@nestjs/passport": "^7.0.0",
    "@nestjs/platform-express": "^7.0.5",
    "@nestjs/typeorm": "^7.0.0",
    "apollo-server-express": "^2.11.0",
    "aws-lambda": "^1.0.5",
    "aws-serverless-express": "^3.3.6",
    "bcrypt": "^4.0.1",
    "class-validator": "^0.11.1",
    "express": "^4.17.1",
    "graphql": "^14.6.0",
    "js-cookie": "^2.2.1",
    "nest-winston": "^1.3.2",
    "passport": "^0.4.1",
    "passport-jwt": "^4.0.0",
    "passport-local": "^1.0.0",
    "pg": "^7.18.2",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^6.5.4",
    "typeorm": "^0.2.24",
    "winston": "^3.2.1"
  },
  "devDependencies": {
    "@nestjs/cli": "^7.0.2",
    "@nestjs/schematics": "^7.0.0",
    "@nestjs/testing": "^7.0.5",
    "@types/aws-lambda": "^8.10.46",
    "@types/aws-serverless-express": "^3.3.3",
    "@types/cucumber": "^6.0.1",
    "@types/express": "^4.17.3",
    "@types/jest": "^25.1.4",
    "@types/node": "^13.9.3",
    "@types/supertest": "^2.0.8",
    "@typescript-eslint/eslint-plugin": "^2.25.0",
    "@typescript-eslint/parser": "^2.25.0",
    "apollo-boost": "^0.4.7",
    "aws-sdk": "^2.645.0",
    "copy-webpack-plugin": "^5.1.1",
    "cucumber": "^6.0.5",
    "cucumber-pretty": "^6.0.0",
    "dotenv": "^8.2.0",
    "eslint": "^6.8.0",
    "eslint-config-prettier": "^6.10.1",
    "eslint-plugin-import": "^2.20.1",
    "eslint-plugin-prettier": "^3.1.2",
    "expect": "^25.1.0",
    "fork-ts-checker-webpack-plugin": "^4.1.1",
    "jest": "^25.1.0",
    "prettier": "^2.0.1",
    "rimraf": "^3.0.2",
    "serverless": "^1.67.0",
    "serverless-dotenv-plugin": "^2.3.2",
    "serverless-offline": "^6.1.0",
    "serverless-pseudo-parameters": "^2.5.0",
    "serverless-webpack": "^5.3.1",
    "start-server-webpack-plugin": "^2.2.5",
    "ts-jest": "^25.2.1",
    "ts-loader": "^6.2.2",
    "ts-node": "^8.8.1",
    "tsconfig-paths": "^3.9.0",
    "typeorm-fixtures-cli": "^1.5.0",
    "typescript": "^3.8.3",
    "webpack": "^4.42.1",
    "webpack-bundle-analyzer": "^3.6.1",
    "webpack-cli": "^3.3.11",
    "webpack-merge": "^4.2.2",
    "webpack-node-externals": "^1.7.2"
  }
}
